Description

When I upload a new version and clicked approved, I get the following error, even though I can approve it later - this is a little annoying.

"You do not have approval permissions, plugin version has been set unapproved"

Worse is that the experimental checkbox is not respected - if I check it before upload the new version is not marked as experimental.  Not

sure if this happened before the new site was installed.

History

#1 - 2014-03-30 12:16 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

In the future, can you please file separate tickets for different problems?

Can you attach the plugin that gives you the problem?

Is the Experimental flag also set in the metadata.txt?

If yes: is it True or False?

There are at least two different ways to upload plugins in the site, can you please describe in details all the steps you are doing?

#2 - 2014-03-30 03:03 PM - Etienne Tourigny

- File valuetool-0.8.4.zip added

Alessandro Pasotti wrote:

In the future, can you please file separate tickets for different problems?

sure - but this seems as 2 aspects of a same problem.

Can you attach the plugin that gives you the problem?

any plugin does this - I recently added a version for value tool plugin, here it goes for completion.

Is the Experimental flag also set in the metadata.txt?

yes, it is set to False, but I did check the Experimental checkbox before uploading.

In reality - sometimes I set a plugin as experimental if it may break something, and after a while I set that version as non-experimental.  This is much easier
than to package a new, non-experimental version with same code.

If yes: is it True or False?

There are at least two different ways to upload plugins in the site, can you please describe in details all the steps you are doing?

Manage - Add version - browse zip file - click experimental and approved check boxes - save

#3 - 2014-03-30 11:43 PM - Alessandro Pasotti

- Status changed from Open to Feedback

The permission problem is most probably completely unrelated with the flags problem.

I'm not sure the latter is bug though: experimental metadata attribute is not mandatory, this is why the checkbox exists: to allow user to set that flag even

when not present in metadata.txt.

Metadata readen from metadata.txt always have priority. Maybe a better idea would be to completely drop the possibility to set the flag while uploading,

and leave the possibility to change that value after the upload from "Manage" -> "Edit" in the version window.

#4 - 2014-03-31 08:04 AM - Etienne Tourigny

Alessandro Pasotti wrote:

The permission problem is most probably completely unrelated with the flags problem.

I can approve the same version afterwards, so it is not a permission problem.

I'm not sure the latter is bug though: experimental metadata attribute is not mandatory, this is why the checkbox exists: to allow user to set that flag

even when not present in metadata.txt.

Metadata readen from metadata.txt always have priority. Maybe a better idea would be to completely drop the possibility to set the flag while

uploading, and leave the possibility to change that value after the upload from "Manage" -> "Edit" in the version window.

It is confusing, and a bug, if a checkbox exists but does not have an effect (if the setting is defined in the metadata.txt).  So I propose that the checkbox be

dropped or a warning given if it conflicts with metadata.txt.

#5 - 2014-03-31 08:24 AM - Alessandro Pasotti

- Status changed from Feedback to In Progress

As I said: the purpose of the checkbox was to allow users to set the flag even when it was not in metadadata (since it's optional).

IMHO what is pure nonsense is to set something in the metadata and then the exact contrary in the form, I will try to catch this error too.

The "permission" warning comes from another strange fact: you are not the maintainer nor the owner of that plugin hence you shouldn't be eligible for

automatic approval of the plugin, but you have "staff" privileges.
This means that you can approve ALL plugins (because you are a staff user).

#6 - 2014-03-31 09:08 AM - Etienne Tourigny

ok thanks

#7 - 2014-04-03 08:46 AM - Alessandro Pasotti

- Status changed from In Progress to Closed

Just noticed that the behaviour was correctly advertised:

Please check this box if the plugin is experimental. Please note that this field might be overridden by metadata (if present).

BTW added a check for this wierd condition.

#8 - 2014-04-03 09:15 AM - Etienne Tourigny

ok - sorry for the trouble. I'll remove the Experimental flag from my plugins next time.

Actually, I see the following text when I click on the "Add version" link or edit an existing version: "Check this box if this version is experimental, leave

unchecked if it's stable." Perhaps this has changed?

#9 - 2014-04-03 09:21 AM - Alessandro Pasotti

See here:

http://plugins.qgis.org/plugins/add/

I will eventually delete the "version add" form since it's a pain to maintain two forms that iternally do exactly the same.

In fact you can safely upload a version from the big blue button "Share a plugin"

I will add the message "Please check this box if the plugin is experimental. Please note that this field might be overridden by metadata (if present)." even in

the version add form.

#10 - 2014-04-03 10:15 AM - Etienne Tourigny

I never used that, except when creating a new plugin. Thanks for the info.

Files

valuetool-0.8.4.zip 30 KB 2014-03-30 Etienne Tourigny
